Loading...
Searching...
No Matches
WGPURenderPassColorAttachment Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE WGPUTextureView | view
uint32_t | depthSlice
WGPU_NULLABLE WGPUTextureView | resolveTarget
WGPULoadOp | loadOp
WGPUStoreOp | storeOp
WGPUColor | clearValue

## Detailed Description

Definition at line 1878 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPURenderPassColorAttachment::nextInChain

Definition at line 1879 of file mini_webgpu.h.

## view

WGPU_NULLABLE WGPUTextureView WGPURenderPassColorAttachment::view

Definition at line 1880 of file mini_webgpu.h.

## depthSlice

uint32_t WGPURenderPassColorAttachment::depthSlice

Definition at line 1881 of file mini_webgpu.h.

## resolveTarget

WGPU_NULLABLE WGPUTextureView WGPURenderPassColorAttachment::resolveTarget

Definition at line 1882 of file mini_webgpu.h.

## loadOp

WGPULoadOp WGPURenderPassColorAttachment::loadOp

Definition at line 1883 of file mini_webgpu.h.

## storeOp

WGPUStoreOp WGPURenderPassColorAttachment::storeOp

Definition at line 1884 of file mini_webgpu.h.

## clearValue

WGPUColor WGPURenderPassColorAttachment::clearValue

Definition at line 1885 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h